Package org.springframework.cglib.util

# Class StringSwitcher

java.lang.Object
org.springframework.cglib.util.StringSwitcher

public abstract class StringSwitcher extends Object
This class implements a simple String → int mapping for a fixed set of keys.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`StringSwitcher.Generator`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StringSwitcher()`

## Method Summary

Modifier and Type
Method
Description
`static StringSwitcher`
`create(String[] strings, int[] ints, boolean fixedInput)`
Helper method to create a StringSwitcher.
`abstract int`
`intValue(String s)`
Return the integer associated with the given key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringSwitcher

protected StringSwitcher()

## Method Details

### create

public static StringSwitcher create(String[] strings, int[] ints, boolean fixedInput)
Helper method to create a StringSwitcher. For finer control over the generated instance, use a new instance of StringSwitcher.Generator instead of this static method.

Parameters:
  `strings` - the array of String keys; must be the same length as the value array
  `ints` - the array of integer results; must be the same length as the key array
  `fixedInput` - if false, an unknown key will be returned from `intValue(java.lang.String)` as `-1`; if true, the result will be undefined, and the resulting code will be faster

### intValue

public abstract int intValue(String s)
Return the integer associated with the given key.

Parameters:
  `s` - the key
Returns:
  the associated integer value, or `-1` if the key is unknown (unless `fixedInput` was specified when this `StringSwitcher` was created, in which case the return value for an unknown key is undefined)